%global debug_package %{nil}

%define api	3.0
%define girname	%mklibname %{name}-gir %{api}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Shared GSettings schemas for the desktop
Name:		gsettings-desktop-schemas
Version:	3.24.0
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# Do NOT add any patches to override gschemas
#
# Do this in mageia-theme instead!
Patch0001:	0001-Add-new-org.gnome.desktop.background.login-schema.patch
Patch2:		revert-scroll-method-removal.patch
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://gnome.org/
BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gnome-common
# ovitters - not strict requires, the schema settings suggest these themes
#            resulting in applications relying on this
Requires:	adwaita-icon-theme
Requires:	gnome-themes-standard

%description
This contains a collection of GSettings schemas for settings shared by
various components of a desktop.

%package devel
Group:		Development/C
Summary:	Development files for %{name}
Requires:	%{girname} = %{version}-%{release}

%description devel
This contains a collection of GSettings schemas for settings shared by
various components of a desktop.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%autopatch -p1

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x \
	--enable-introspection=yes
%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc README NEWS AUTHORS
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/glib-2.0/schemas/*.xml

%files -n %{girname}
%{_libdir}/girepository-1.0/GDesktopEnums-%{api}.typelib

%files devel
%doc ChangeLog HACKING MAINTAINERS
%{_includedir}/%{name}
%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/GDesktopEnums-%{api}.gir


%changelog
* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1093931
- new version 3.24.0

* Mon Sep 26 2016 tv <tv> 3.22.0-2.mga6
+ Revision: 1056848
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Tue Sep 20 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054642
- new version 3.22.0

* Sun Sep 18 2016 ovitters <ovitters> 3.21.4-1.mga6
+ Revision: 1053853
- new version 3.21.4
- rediff patches

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993529
- new version 3.20.0

* Thu Mar 17 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 992410
- new version 3.19.92

* Wed Feb 17 2016 colin <colin> 3.19.90-2.mga6
+ Revision: 963467
- Re-add updated background customisation patch (bgo#738260)

* Tue Feb 16 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 962621
- new version 3.19.90

* Tue Dec 15 2015 ovitters <ovitters> 3.19.3-2.mga6
+ Revision: 910786
- revert scroll-method removal from schema

* Tue Dec 15 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 910708
- new version 3.19.3

* Wed Nov 25 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 906055
- new version 3.19.2

* Thu Oct 29 2015 tv <tv> 3.18.1-1.mga6
+ Revision: 896444
- drop merged patch
- new release

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882649
- disable debuginfo
- new release

* Mon Jun 29 2015 wally <wally> 3.16.1-2.mga6
+ Revision: 847400
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 ovitters <ovitters> 3.16.1-1.mga6
+ Revision: 837410
- new verison 3.16.1

* Sat Jun 20 2015 ovitters <ovitters> 3.14.2-1.mga6
+ Revision: 836350
- new version 3.14.2

* Wed Oct 15 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 757159
- new version 3.14.1

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Thu Oct 09 2014 colin <colin> 3.14.0-2.mga5
+ Revision: 737777
- Add a new schema patch for customisable password entry screen mga#14131

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719206
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 679960
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 670947
- new version 3.13.92

* Tue Aug 19 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 665707
- new version 3.13.91

* Mon Aug 18 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665049
- new version 3.13.90

* Wed May 28 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 627111
- new version 3.13.2

* Tue May 13 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622493
- new version 3.12.2

  + wally <wally>
    - require adwaita-icon-theme instead of obsolete gnome-icon-theme and gnome-icon-theme-symbolic

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607921
- new version 3.12.0

* Tue Mar 18 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 604856
- new version 3.11.91

* Tue Feb 18 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594163
- new version 3.11.90

* Wed Feb 05 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 582846
- new version 3.11.5

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 545431
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 501251
- new version 3.10.1

* Mon Oct 14 2013 ovitters <ovitters> 3.10.0-2.mga4
+ Revision: 497333
- require the theme packages contained in the schema by default

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 483844
- new version 3.10.0

* Mon Sep 02 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474410
- new version 3.9.91

* Tue Aug 20 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 468305
- new version 3.9.90

* Tue Jul 30 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 460902
- new version 3.9.5

* Sun Jul 28 2013 dams <dams> 3.9.3-1.mga4
+ Revision: 459259
- new version 3.9.3

* Fri May 24 2013 ovitters <ovitters> 3.8.2-2.mga4
+ Revision: 426457
- remove Oxygen-gtk gschema patch now that it is overriden in correct place (mageia-theme)

* Fri May 24 2013 dams <dams> 3.8.2-1.mga4
+ Revision: 426327
- new version 3.8.2

* Thu Mar 14 2013 neoclust <neoclust> 3.6.1-6.mga3
+ Revision: 403166
- Do less changes and only change the used theme

* Thu Mar 14 2013 neoclust <neoclust> 3.6.1-5.mga3
+ Revision: 402938
- Remove boggus theme change

* Thu Mar 14 2013 neoclust <neoclust> 3.6.1-4.mga3
+ Revision: 402885
- Migrate more to oxygen

* Thu Mar 14 2013 neoclust <neoclust> 3.6.1-3.mga3
+ Revision: 402881
- Use oxygen as default theme

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 352689
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 317523
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297482
- new version 3.6.0

* Mon Sep 17 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295533
- new version 3.5.92

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288219
- new version 3.5.91

* Tue Aug 21 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282954
- new version 3.5.90

* Tue Jul 17 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271963
- new version 3.5.4

* Mon Jun 25 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 263685
- new version 3.5.3

* Tue May 15 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235713
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231064
- new version 3.4.1

* Tue Mar 27 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 227047
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224297
- new version 3.3.92

* Wed Feb 22 2012 ovitters <ovitters> 3.3.90-1.mga2
+ Revision: 212018
- new version
- clean spec

* Wed Nov 23 2011 wally <wally> 3.3.2-2.mga2
+ Revision: 171484
- enable introspection
- not noarch pkg anymore
- clean .spec a bit

* Wed Nov 23 2011 fwang <fwang> 3.3.2-1.mga2
+ Revision: 171123
- update file list
- new version 3.3.2

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148624
- new version 3.2.0

* Mon Sep 19 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145439
- new version 3.1.92

* Tue Sep 06 2011 tv <tv> 3.1.91-1.mga2
+ Revision: 139393
- new release
- fix d/l URL
- use xz sources

* Tue Jul 05 2011 cjw <cjw> 3.1.3-1.mga2
+ Revision: 118678
- drop buildroot definition
- 3.1.3

* Wed Apr 20 2011 pterjan <pterjan> 3.0.0-1.mga1
+ Revision: 88931
- imported package gsettings-desktop-schemas


* Tue Apr 05 2011 Funda Wang <fwang@mandriva.org> 3.0.0-1mdv2011.0
+ Revision: 650457
- new version 3.0.0

* Wed Mar 23 2011 Funda Wang <fwang@mandriva.org> 2.91.92-1
+ Revision: 647745
- new version 2.91.92

* Sat Jul 24 2010 Götz Waschk <waschk@mandriva.org> 0.0.1-1mdv2011.0
+ Revision: 558107
- import gsettings-desktop-schemas


